> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Transactions



## OpenAPI

````yaml POST /v1/{account_id}/transactions
openapi: 3.0.0
info:
  title: Pagos Ingestion API
  description: The Pagos Ingestion API Spec
  version: 1.1.1
  contact: {}
servers:
  - description: sandbox
    url: https://api.sandbox.nest.pagosapi.com
  - description: production
    url: https://api.nest.pagosapi.com
security: []
tags:
  - name: ingestion
    description: Pagos Ingestion API
paths:
  /v1/{account_id}/transactions:
    post:
      operationId: TransactionsController_create
      parameters:
        - name: account_id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionUploadRequest'
      responses:
        '201':
          description: ''
components:
  schemas:
    TransactionUploadRequest:
      type: object
      properties:
        transaction_id:
          type: string
          minLength: 1
          maxLength: 255
          description: >-
            A unique value that identifies this transaction and will be used as
            the key when making updates to transactions. Maximum 255 characters.
        amount:
          type: integer
          minimum: 0
          description: >-
            The transaction amount, represented as a positive integer in the
            smallest currency unit (e.g. two-decimal currency such as $101.50 is
            represented as 10150, zero-decimal currency such as ¥1095 is
            represented as 1095). Refer to the ISO 4217 currency page for
            guidance.
        currency:
          type: string
          minLength: 3
          maxLength: 3
          description: >-
            The currency of the transaction, represented by the 3-letter
            ISO-4217 currency code. Must be three characters.
        created:
          type: string
          description: >-
            The date when the transaction was created, represented in ISO 8601
            format (e.g. 2023-09-04T16:13:05Z).
        status:
          type: string
          minLength: 1
          maxLength: 50
          description: >-
            The status of the transaction (e.g. authorized, cancel_or_refund,
            canceled, capture, deposit, failed, gateway_rejected, paid, pending,
            processor_declined). Maximum 50 characters.
        verification:
          type: boolean
          description: >-
            A flag identifying if the record is a card verification (i.e. $0 or
            $1 authorization). The possible values are true or false; the
            default value is false.
        stored_credential:
          type: string
          maxLength: 255
          nullable: true
          description: >-
            A value identifying if the customer is present or not present for
            the transaction. It also identifies if the payment was from a stored
            payment method or a PAN (e.g. moto, POS, card on file,
            subscription).  Maximum 255 characters.
        order:
          type: object
          properties:
            id:
              type: string
              maxLength: 255
              nullable: true
              description: The merchant order reference. Maximum 255 characters.
            description:
              type: string
              maxLength: 500
              nullable: true
              description: >-
                A long-form description of the transaction. Maximum 500
                characters.
            descriptor:
              type: string
              maxLength: 50
              nullable: true
              description: >-
                The descriptor that appears on cardholder statements, describing
                the transaction to the cardholder. Maximum 50 characters.
          additionalProperties: false
          nullable: true
        payment_method_details:
          type: object
          properties:
            payment_method_type:
              type: string
              minLength: 1
              maxLength: 255
              description: >-
                The payment method used for the transaction (e.g. card, apple
                pay, paywithgoogle). Maximum 255 characters.
            id:
              type: string
              maxLength: 35
              nullable: true
              description: >-
                A unique identifier for the payment method. Maximum 35
                characters.
            card:
              type: object
              properties:
                bin:
                  type: string
                  minLength: 5
                  maxLength: 8
                  nullable: true
                  description: The first 4-9 digits of the payment card.
                last4:
                  type: string
                  minLength: 4
                  maxLength: 4
                  nullable: true
                  description: The last four digits of the card. Maximum four digits.
                expiry_month:
                  type: string
                  minLength: 2
                  maxLength: 2
                  nullable: true
                  description: >-
                    The expiration month of the payment card. Must be two
                    digits.
                expiry_year:
                  type: string
                  minLength: 4
                  maxLength: 4
                  nullable: true
                  description: >-
                    The expiration year of the payment card. Must be four
                    digits.
                fingerprint:
                  type: string
                  maxLength: 35
                  nullable: true
                  description: >-
                    A unique identifier for the payment card number. Maximum 35
                    characters.
                vaulted:
                  type: string
                  maxLength: 50
                  nullable: true
                  description: >-
                    Identifies if the payment method was vaulted or not. Maximum
                    50 characters.
                validation:
                  type: object
                  properties:
                    avs_address_result:
                      type: string
                      maxLength: 15
                      nullable: true
                      description: >-
                        The raw processor response from the AVS address
                        validation check. Maximum 15 characters.
                    avs_postal_code_result:
                      type: string
                      maxLength: 15
                      nullable: true
                      description: >-
                        The raw processor response from the AVS postal code
                        validation check. Maximum 15 characters.
                    avs_error_response_code:
                      type: string
                      maxLength: 5
                      nullable: true
                      description: >-
                        The AVS response code from the processor. Maximum 5
                        characters.
                    cvc_result:
                      type: string
                      maxLength: 15
                      nullable: true
                      description: >-
                        The CVV response code from the processor. Maximum 15
                        characters.
                  additionalProperties: false
                  nullable: true
                attributes:
                  type: object
                  properties:
                    network:
                      type: string
                      maxLength: 50
                      nullable: true
                      description: >-
                        The card brand used in the transaction (e.g. visa,
                        mastercard, discover). Maximum 50 characters.
                    product_id:
                      type: string
                      maxLength: 10
                      nullable: true
                      description: >-
                        The specific card brand product code of the card used in
                        the transaction (e.g. product code "G" indicates Visa
                        Business). Maximum 10 characters.
                    type:
                      type: string
                      enum:
                        - debit
                        - credit
                        - prepaid
                        - unknown
                      nullable: true
                      description: >-
                        The type of card used in the transaction (e.g. debit or
                        credit).
                    category:
                      type: string
                      maxLength: 15
                      nullable: true
                      description: >-
                        The category of the card used in the transaction (e.g.
                        corporate, commercial, consumer cards). Maximum 15
                        characters.
                    issuer_bank:
                      type: string
                      maxLength: 128
                      nullable: true
                      description: >-
                        The category of the card used in the transaction (e.g.
                        corporate, commercial, consumer cards). Maximum 128
                        characters.
                    issuer_country:
                      type: string
                      minLength: 2
                      maxLength: 2
                      nullable: true
                      description: >-
                        The country where the card used in the transaction was
                        issued, represented by a two-letter country code (ISO
                        3166 alpha-2).
                    payroll:
                      type: boolean
                      nullable: true
                      description: Indicates if the payment method is a payroll card.
                    healthcare:
                      type: boolean
                      nullable: true
                      description: Indicates if the payment method is a healthcare card.
                    durbin_regulated:
                      type: boolean
                      nullable: true
                      description: >-
                        Indicates if the payment method is a durbin regulated
                        card.
                    commercial:
                      type: boolean
                      nullable: true
                      description: Indicates if the payment method is a commercial card.
                  additionalProperties: false
                  nullable: true
              additionalProperties: false
              nullable: true
            paypal:
              type: object
              properties:
                pp_payer_status:
                  type: string
                  maxLength: 10
                  nullable: true
                pp_seller_protection_status:
                  type: string
                  maxLength: 10
                  nullable: true
              additionalProperties: false
              nullable: true
            bank:
              type: object
              properties:
                customer_bank_routing_bic_number:
                  type: string
                  maxLength: 50
                  nullable: true
                  description: >-
                    The bank routing number of the payment method used. Maximum
                    50 characters.
                customer_bank_swift_code:
                  type: string
                  maxLength: 50
                  nullable: true
                  description: >-
                    The bank swift code of the payment method used. Maximum 50
                    characters.
                customer_bank_branch_code:
                  type: string
                  maxLength: 50
                  nullable: true
                  description: >-
                    The bank branch code of the payment method used. Maximum 50
                    characters.
                pm_bank_reference:
                  type: string
                  maxLength: 50
                  nullable: true
                  description: The SEPA direct debit transit number. Maximum 50 characters
              additionalProperties: false
              nullable: true
            non_card_attributes:
              type: object
              properties:
                pm_expiry_days:
                  type: string
                  maxLength: 50
                  nullable: true
                  description: >-
                    The expiration date for non-card payments (e.g. boleto or
                    invoice payments). Maximum 50 characters.
                debit_mandate_reference:
                  type: string
                  maxLength: 50
                  nullable: true
              additionalProperties: false
              nullable: true
          required:
            - payment_method_type
          additionalProperties: false
        customer:
          type: object
          properties:
            customer_id:
              type: string
              maxLength: 128
              nullable: true
              description: >-
                A unique string that identifies the customer. Maximum 128
                characters.
            shopper_country:
              type: string
              minLength: 2
              maxLength: 2
              nullable: true
              description: >-
                The country where the customer is located, represented as a
                two-letter country code (ISO 3166 alpha-2).
            postal_code:
              type: string
              maxLength: 16
              nullable: true
              description: The customer's postal code. Maximum 16 characters.
          additionalProperties: false
          nullable: true
        3dSecure:
          type: object
          properties:
            result:
              type: string
              maxLength: 25
              nullable: true
              description: >-
                The result of the 3D Secure authentication (e.g authenticated,
                not_supported, failed). Maximum 25 characters.
            version:
              type: string
              maxLength: 10
              nullable: true
              description: >-
                The version of 3D Secure used to authenticate the transaction
                (e.g. 1.0.2). Maximum 10 characters.
            liability_shift:
              type: boolean
              nullable: true
              description: >-
                An indicator boolean flag from the acquirer or payment service
                provider (PSP), showing whether liability shift was achieved
                with the authentication attempt.
            metadata:
              type: object
              additionalProperties:
                nullable: true
              nullable: true
              description: >-
                A JSON object of 3D Secure metadata that captures important data
                regarding the authentication attempt.
            exemption_requested:
              type: string
              maxLength: 50
              nullable: true
              description: A value indicating if a 3D Secure exemption was requested.
          additionalProperties: false
          nullable: true
        merchant:
          type: object
          properties:
            merchant_id:
              type: string
              maxLength: 100
              nullable: true
              description: >-
                A unique string assigned by the aquirer or processor to identify
                the merchant. This value could match the merchant-level ID.
                Maximum 100 characters.
            merchant_account_id:
              type: string
              maxLength: 100
              nullable: true
              description: >-
                A unique string assigned by the aquirer or processor to identify
                the merchant account. This value could match the merchant
                account ID associated with a region or country. Maximum 100
                characters.
          additionalProperties: false
          nullable: true
        transaction_response:
          type: object
          properties:
            processor_response_code:
              type: string
              minLength: 1
              maxLength: 50
              description: >-
                The transaction response code from the processor. Maximum 50
                characters.
            processor_response_text:
              type: string
              maxLength: 1024
              nullable: true
              description: >-
                The transaction response text from the processor. Maximum 1024
                characters.
            additional_processor_response:
              type: string
              maxLength: 255
              nullable: true
              description: >-
                Additonal transaction response text (e.g. Mastercard merchant
                advice code).
            network_response_code:
              type: string
              maxLength: 50
              nullable: true
              description: >-
                The response code from the card brand, representing the approval
                or decline code sent to the card brand from the issuer. Maximum
                50 characters.
            network_response_text:
              type: string
              maxLength: 255
              nullable: true
              description: >-
                The detailed text response code from the card brand,
                representing the approval or decline code description sent to
                the card brand by the issuer. Note, this is not the summary or
                mapped response codes of your processor or acquirer. Maximum 255
                characters.
          required:
            - processor_response_code
          additionalProperties: false
        additional_data:
          type: object
          properties:
            network_transaction_id:
              type: string
              maxLength: 255
              nullable: true
              description: >-
                The unique value assigned by the card brand to track the
                transaction. Maximum 255 characters.
            processor_authorization_code:
              type: string
              maxLength: 50
              nullable: true
              description: >-
                The AuthCode provided by the card brand and issuer on the
                transaction. Maximum 50 characters.
            acquirer_reference:
              type: string
              maxLength: 255
              nullable: true
              description: >-
                The unique value assigned by the acquiring bank to track the
                transaction. Maximum 255 characters.
            is_network_tokenized:
              type: boolean
              nullable: true
              description: Indicates if the payment method has a network token.
            metadata:
              type: object
              additionalProperties:
                nullable: true
              nullable: true
              description: >-
                A transaction-level label, represented as a JSON object and used
                to segment into meaningful groups. Metadata is typically used
                for segmentation by customer behavior (e.g. purchases from a
                particular seller) or merchant behavior (e.g. transaction
                routing or retries).
          additionalProperties: false
          nullable: true
        pagos_codes:
          type: object
          properties:
            pagos_status:
              type: string
              enum:
                - authorization_expired
                - authorization_reversal
                - authorized
                - authorizing
                - blocked_by_rule
                - cancellation
                - capture_failed
                - captured
                - declined
                - failed
                - no_value_provided
                - pending
                - settled
                - settlement_declined
                - settlement_pending
                - settling
                - submitted_for_settlement
                - test
                - unknown
                - unreadable_value
                - verification
                - verified
                - verifying
                - voided
              description: Assign a Pagos code that corresponds to status.
            pagos_payment_method:
              type: string
              enum:
                - ach
                - affirm
                - affirm_pos
                - afterpay
                - afterpaytouch
                - alipay
                - androidpay
                - androidpay_network_token
                - alipay_wap
                - applepay
                - au_becs_debit
                - bacs_debit
                - bcmc_mobile
                - ben_visa_vale
                - blik
                - boleto
                - card
                - cartao_de_todos_credit
                - cashapp
                - check
                - credtodos_private_credit
                - custom_actions_payment_method
                - directdebit
                - directebanking
                - dotpay
                - ebanking_fi
                - eftpos_australia
                - eftpos_australia_chq
                - eftpos_australia_sav
                - electronic_benefits_transfer
                - electron
                - eps
                - facilypay_12x
                - facilypay_3x
                - facilypay_4x
                - facilypay_6x
                - fpx
                - gcash
                - girocard
                - giropay
                - googlepay
                - googlewallet
                - gopay
                - grabpay
                - ideal
                - kakaopay
                - kcp_payco
                - klarna
                - klarna_account
                - klarna_alternative_payment_method
                - klarna_bank_transfer
                - klarna_base_account
                - klarna_direct_debit
                - klarna_fixed_amount
                - klarna_fixed_sum_credit
                - klarna_invoice
                - klarna_pay_by_card
                - klarna_paynow
                - klarna_pix
                - klarna_slice_it_by_card
                - konbini
                - link
                - mbway
                - mada_card
                - mir
                - mobilepay
                - molpay_ebanking_th
                - momo
                - momo_wallet
                - multibanco
                - oney_pos
                - onlinebanking
                - oxxo
                - p24
                - paybybank
                - paymaya_wallet
                - paynow
                - paypal
                - paypal_pos
                - paywithgoogle
                - pix
                - restorationhardware
                - romcard_credit
                - safetypay
                - samsungpay
                - sepadirectdebit
                - shopping
                - sodexo
                - sofort
                - sorocred_credit
                - stripe_account
                - swish
                - ticket
                - trustly
                - twint
                - us_bank_account
                - twint_pos
                - up_brazil_credit
                - vale_refeicao_prepaid
                - venmo
                - venmo_pos
                - vias
                - vipps
                - wechatpay
                - wechatpay_pos
                - zip
              description: Assign a Pagos code that corresponds to payment_method_type.
            pagos_transaction_response:
              type: string
              enum:
                - Invalid_qr_code
                - aborted_contactless_fallback
                - acccount_not_active
                - account_closed
                - account_frozen
                - account_not_available
                - account_record_not_found
                - additional_auth_credentials_required
                - address_and_cvv_verification_failed
                - address_verification_failed
                - affirm_declined
                - already_reversed
                - already_voided
                - aml_violation
                - amount_exceeds_preauthorization
                - amount_mismatch
                - application_blocked_or_banned
                - approved
                - approved_vip
                - approved_with_hold
                - authentication_attempts_exceeded
                - authentication_card_not_enabled
                - authentication_error
                - authentication_error_invalid_value
                - authentication_error_required_field_missing
                - authentication_expired
                - authentication_failed
                - authentication_not_supported_by_merchant
                - authorization_expired
                - authorization_not_found
                - bank_account_restricted
                - bank_not_supported_by_switch
                - bank_ownership_changed
                - blik_error
                - blocked_3ds
                - blocked_account_not_active
                - blocked_avs
                - blocked_blocklist
                - blocked_cvc
                - blocked_cvc_avs
                - blocked_duplicate
                - blocked_excessive_retry
                - blocked_fraud_rule
                - blocked_gateway
                - blocked_merchant_rule
                - blocked_test_mode
                - blocked_venmo_token_issuance
                - cancelled_card_removed
                - cancelled_no_card
                - cancelled_shopper_cancelled
                - cancelled_while_printing
                - cannot_verify_pin
                - capture_failed
                - card_account_length_error
                - card_blacklisted
                - card_not_active
                - card_not_active_firstuse
                - card_not_supported
                - card_number_payment_method_mismatch
                - cash_request_exceeded_limit
                - cash_service_not_available
                - cashapp_customer_request_declined
                - cashapp_customer_request_expired
                - cashapp_payment_declined
                - could_not_process
                - crash_recovery
                - crypto_failure
                - cryptographic_error_in_pin
                - customer_authentication_required
                - cvv_failure
                - debit_not_authorized
                - decline_gateway
                - decline_merchant_rule
                - decline_offline
                - decline_online
                - decline_processor_rule
                - declined_by_processing_network
                - declined_high_risk
                - do_not_honor
                - do_not_retry
                - duplicate
                - duplicate_authentication
                - error
                - error_currency_not_supported
                - error_cvc
                - error_emv
                - error_failed_to_store_result
                - error_incorrect_format
                - error_missing_payment_details
                - error_not_allowed
                - error_not_supported_country_and_mcc
                - error_parsing
                - error_required_details_not_found_or_invalid
                - error_required_field_not_provided
                - exceeds_approval_amount_limit
                - expired_card
                - fraud_merchant_blacklist
                - gateway_testaccount_used
                - incorrect_or_missing_pin
                - incorrect_or_missing_pin_cardpresent
                - ineligible_for_financial_position_information
                - ineligible_for_resubmission
                - installments_not_allowed
                - invalid_account_no_number
                - invalid_amount_or_currency
                - invalid_expiration_date
                - invalid_expiry_month
                - invalid_expiry_year
                - invalid_level_III
                - invalid_merchant
                - invalid_payment_type
                - invalid_shopper_data
                - invalid_signature
                - invalid_sku
                - invalid_tax_amount
                - invalid_token
                - invalid_transaction
                - issuer_inoperative_no_stip
                - legal_violation
                - lifecycle
                - link_error
                - lost_card_fraud
                - merchant_cancelled
                - new_account_information_information
                - no_acquirer_account
                - no_action_taken
                - no_checking_account
                - no_completion_message
                - no_financial_impact
                - no_network_token
                - no_response
                - no_savings_account
                - no_such_issuer
                - no_value_provided
                - not_qualified_for_pin
                - not_sufficient_funds
                - partial_approval
                - paypal_account_issue
                - paypal_api_error
                - paypal_email_formatting_issue
                - paypal_transaction_denied
                - paypal_transaction_partially_refunded
                - paypal_transaction_pending
                - paypal_transaction_reversed
                - payu_error
                - pending
                - pending_for_3ds_authorization
                - pick_up_card
                - pick_up_card_fraud
                - pin_change_denied
                - pin_data_required
                - pin_encryption_error
                - pin_entry_attempts_exceeded
                - pin_or_signature_missing
                - pin_unblock_denied
                - pos_unmapped
                - private_label_card_notsupported
                - processor_configuration_error
                - processor_error
                - processor_notconfigured
                - processor_notsupported
                - processor_restricted_or_locked_account
                - processor_risk_rule
                - reenter_transaction
                - refer_to_issuer
                - refer_to_issuer_1
                - refund_time_limit_exceeded
                - refused_due_to_policy_reason
                - requires_action_from_customer
                - restricted_account_geo
                - restricted_card
                - retry_later
                - reversal_unsuccessful
                - revocation_of_authorization
                - routing_network_error
                - security_violation
                - settlement_pending
                - single_use_virtual_card
                - sofort_response_missing_or_invalid
                - stip_forced
                - stolen_card_fraud
                - stop_all_recurring
                - stop_current_recurring
                - submission_error
                - subscription_not_found
                - surcharge_not_permitted
                - surcharge_not_supported_by_issuer
                - suspected_fraud
                - terminal_cancelled
                - timeout
                - timeout_PIN_entry
                - timeout_while_printing_receipt
                - transaction_cancelled
                - transaction_frequency_limit_exceeded
                - transaction_not_allowed
                - transaction_not_allowed_at_terminal
                - unable_to_map
                - undeliverable_payouts
                - unknown
                - unreadable_value
                - unsolicited_reversal
                - update_payment_information
                - user_account_disabled_or_expired
                - verification_or_return_approved
                - verifications_not_supported
                - vipps_error
                - vipps_error_agreement_not_active
                - vipps_error_cannot_rollback_transaction
                - vipps_error_http_request_null
                - vipps_error_invalid_orderid
                - vipps_error_no_network_token
                - voice_auth_required
                - wallet_disabled
                - withdrawals_frequency_exceeded
              description: >-
                Assign a Pagos code that corresponds to
                transaction_response.processor_response_code.
            pagos_stored_credential:
              type: string
              enum:
                - card-on-file
                - card-on-file-repeat
                - card-on-file-vault
                - installment
                - moto
                - one-time
                - pay_later
                - pos
                - recurring
                - recurring-first
                - unknown
              nullable: true
              description: >-
                Assign a Pagos code that corresponds to stored_credential.
                Required when stored_credential contains a value.
            pagos_network:
              type: string
              enum:
                - accel
                - ach
                - affirm
                - affn
                - afterpay_clearpay
                - alelo
                - alipay
                - amex
                - argencard
                - au_becs_debit
                - bacs_debit
                - bancontact
                - banese_card_credit
                - bijcard
                - blik
                - boleto
                - cabal
                - carnet
                - cartao_de_todos_credit
                - cartebancaire
                - cartebancaire_applepay
                - check
                - cmr_falabella
                - codensa
                - credtodos_private_credit
                - cu24
                - custom_actions_payment_method
                - dankort
                - diners
                - diners_club
                - directdebit
                - directebanking
                - discover
                - dotpay
                - ebanking_fi
                - eftpos_australia
                - electron
                - elo
                - eps
                - facilpay
                - forbrugsforeningen
                - fpx
                - gcash
                - girocard
                - giropay
                - googlewallet
                - gopay
                - grabpay
                - hiper
                - hipercard
                - ideal
                - interac
                - interlink
                - jcb
                - kakaopay
                - kcp_payco
                - klarna
                - klarna_alternative_payment_method
                - klarna_bank_transfer
                - klarna_base_account
                - klarna_direct_debit
                - klarna_fixed_amount
                - klarna_fixed_sum_credit
                - klarna_invoice
                - klarna_pay_by_card
                - klarna_pix
                - klarna_slice_it_by_card
                - konbini
                - korean_creditcard
                - korean_local_card
                - laser
                - link
                - mach
                - mada_card
                - maestro
                - mastercard
                - mir
                - molpay_ebanking_th
                - momo
                - momo_wallet
                - multibanco
                - naranja
                - nativa
                - netplus
                - nets
                - netscard
                - no_value_provided
                - nyce
                - oca
                - oney_pos
                - onlinebanking
                - oxxo
                - p24
                - paymaya_wallet
                - paypal
                - paypal_pos
                - paysafecard
                - paywithgoogle
                - pix
                - pril
                - private_label
                - prop
                - pulse
                - pulse-pinless
                - restorationhardware
                - romcard_credit
                - rupay
                - safetypay
                - sepadirectdebit
                - shazam
                - shopping
                - sodexo
                - sofort
                - solo
                - sorocred_credit
                - star
                - stripe_account
                - swish
                - sycnhrony_plcc
                - tarjeta_naranja
                - ticket
                - troy
                - trustly
                - twint
                - twint_pos
                - uatp
                - unionpay
                - unknowncard
                - us_bank_account
                - vale_refeicao_prepaid
                - venmo
                - venmo_pos
                - verve
                - vias
                - vipps
                - visa
                - vpay
                - wechatpay
                - wechatpay_pos
                - zip
              nullable: true
              description: >-
                Assign a Pagos code that corresponds to
                payment_method_details.card.attributes.network. Required if
                payment_method_details.card.attributes.network contains a value.
            pagos_avs:
              type: string
              enum:
                - avs_na_a
                - avs_name_match_m
                - avs_name_nomatch_n
                - avs_name_not_provided_i
                - avs_name_not_verified_u
                - avs_no_issuer_support_s
                - avs_postal_match_m
                - avs_postal_nomatch_n
                - avs_postal_not_provided_i
                - avs_postal_not_verified_u
                - avs_results_unknown
                - avs_skipped_b
                - avs_street_match_m
                - avs_street_nomatch_n
                - avs_street_not_provided_i
                - avs_street_not_verified_u
                - avs_system_error_e
                - no_value_provided
                - unknown
              nullable: true
              description: >-
                Assign a Pagos code that corresponds to
                payment_method_details.card.validation.avs_postal_code_result.
            pagos_cvv:
              type: string
              enum:
                - cvv_matches_m
                - cvv_na_a
                - cvv_no_issuer_support_s
                - cvv_no_match_n
                - cvv_not_provided_i
                - cvv_not_verified_u
                - cvv_result_unavailable
                - cvv_skipped_b
                - unknown
              nullable: true
              description: >-
                Assign a Pagos code that corresponds to
                payment_method_details.card.validation.cvc_result. Required when
                payment_method_details.card.validation.cvc_result contains a
                value.
            pagos_3dsecure_result:
              type: string
              enum:
                - authenticate_attempted
                - authenticate_successful
                - data_only
                - error
                - failed_rejected_or_not_attempted
                - not_attempted
                - out_of_scope_or_exempt
                - unknown
              nullable: true
              description: >-
                Assign a Pagos code that corresponds to 3dsecure.result.
                Required if 3dsecure.result contains a value.
          required:
            - pagos_status
            - pagos_payment_method
            - pagos_transaction_response
          additionalProperties: false
      required:
        - transaction_id
        - amount
        - currency
        - created
        - status
        - verification
        - payment_method_details
        - transaction_response
        - pagos_codes
      additionalProperties: false

````